# MumbleServer Ice Python Module

This Python module provides Python bindings for interacting with Mumble's Murmur server through ZeroC's ICE technology.

## Features

Auto-generated Python bindings using `slice2py` for MumbleServer ICE.

## Requirements

- `poetry`: To manage dependencies.
- `requests`: To download MumbleServer.ice.
- `slice2py`: To generate Python code from MumbleServer ICE.

## Code Generation

Refer to the code generation script in the repository to regenerate the module.

## Usage

After generating the module, import it to interact with Mumble's Murmur server. Ensure you have the necessary ICE runtime and dependencies installed.

## See also

- [Code Generation in Python (ZeroC Docs)](https://doc.zeroc.com/ice/latest/language-mappings/python-mapping/client-side-slice-to-python-mapping/code-generation-in-python)
- [Mumble GitHub Repository](https://github.com/mumble-voip/mumble)
- [Latest MumbleServer.ice File](https://raw.githubusercontent.com/mumble-voip/mumble/refs/heads/master/src/murmur/MumbleServer.ice)

## License

Distributed under the terms of the [Mumble license](https://www.mumble.info/LICENSE).
